curl --request POST \
--url https://api.caret.so/v1/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"role": "member",
"isUrlInvite": false
}'
{
"invite": {
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false
}
}
招待
招待作成
ワークスペースに新しい招待を作成します
POST
/
v1
/
invites
curl --request POST \
--url https://api.caret.so/v1/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"role": "member",
"isUrlInvite": false
}'
{
"invite": {
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false
}
}
Body
招待する人のメールアドレス。
招待された人に割り当てる役割。
admin、memberのいずれか。URL招待を作成するか(
true)、メール招待を送信するか(false)。レスポンス
curl --request POST \
--url https://api.caret.so/v1/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "user@example.com",
"role": "member",
"isUrlInvite": false
}'
{
"invite": {
"id": "inv_123",
"email": "user@example.com",
"code": "abc123xy",
"role": "member",
"expiresAt": "2026-02-27T10:00:00Z",
"createdAt": "2026-01-28T10:00:00Z",
"isUrlInvite": false
}
}
⌘I